{% load_banners position: 'newsletter-popup' limit: 1 %}

{% for banner in loaded_banners %}
  {% assign success_message = 'Obrigado!' %}
  {% assign popup_description = banner.description %}
  {% assign popup_extra_description = '' %}

  {% if banner.description contains '<hr/>' %}
    {% assign popup_description = banner.description | split: '<hr/>' | first %}
    {% assign success_message = banner.description | split: '<hr/>' | last | strip_html | strip %}
  {% endif %}

  {% assign description_content = popup_description | split: '</p>' %}
  {% assign popup_description = description_content[0] | strip_html | strip %}

  {% comment %} Descrição extra {% endcomment %}
  {% if description_content[1] and description_content[1] != blank %}
    {% assign popup_extra_description = description_content[1] | strip_html | strip %}
  {% endif %}

  {% assign image_url = '' %}
  {% if banner.file_url != blank %}
    {% assign image_url = banner.file_url | resize: '500x' %}
  {% endif %}

  <script>
    window.popupNewsletterSettings = {
      script: "{{ 'newsletter-popup.v5.js' | component_path }}",
      styles: "{{ 'newsletter-popup.v5.css' | component_path }}",
      imageUrl: '{{ image_url }}',
      title: '{{ banner.subtitle }}',
      description: '{{ popup_description }}',
      extraDescription: '{{ popup_extra_description }}',
      subdomain: '{{ current_shop.subdomain }}',
      success: '{{ success_message }}'
    }
  </script>

  <div id="component-popup-newsletter-root"></div>
{% endfor %}
